package main

import (
	"bytedance.com/kafka/client"
	"fmt"
)

func main() {
	fmt.Printf("------------------------------------------------\n[INFO] Start loading configurations...\n")

	config, err := client.LoadConfig("config/config.json")
	if err != nil {
		panic(fmt.Sprintf("[ERROR] %s", err.Error()))
	}

	fmt.Printf("[INFO] Load configurations finish.\n")
	fmt.Printf("------------------------------------------------\n[INFO] Start message deliver...\n")

	err = client.RunProduce(config)
	if err != nil {
		panic(fmt.Sprintf("[ERROR] %s", err.Error()))
	}

	fmt.Printf("[INFO] Message deliver finish.\n")
	fmt.Printf("------------------------------------------------\n[INFO] Start message recieve...\n")

	err = client.RunConsumer(config)
	if err != nil {
		panic(fmt.Sprintf("[ERROR] %s", err.Error()))
	}

	fmt.Printf("[INFO] Message receive finish.\n")
}
